# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{ config, lib, pkgs, modulesPath, ... }:

{
  imports =
    [ (modulesPath + "/installer/scan/not-detected.nix")
    ];

  boot.initrd.availableKernelModules = [ "xhci_pci" "ahci" "usb_storage" "usbhid" "sd_mod" ];
  boot.initrd.kernelModules = [ ];
  boot.kernelModules = [ "kvm-intel" ];
  boot.extraModulePackages = [ ];

  fileSystems."/boot/efi" =
    { device = "/dev/disk/by-uuid/F21D-6248";
      fsType = "vfat";
      options = [ "fmask=0022" "dmask=0022" ];
    };

  fileSystems."/" =
    { device = "/dev/disk/by-uuid/3718ddd1-cabd-47be-b149-40cb4fdf8c71";
      fsType = "btrfs";
    };

  fileSystems."/disks/hdd2" =
    { device = "/dev/disk/by-uuid/9dba8b80-ca3a-4e02-bd3c-2192c830eaee";
      fsType = "btrfs";
    };

  fileSystems."/disks/hdd1" =
    { device = "/dev/disk/by-uuid/7c14277d-e456-4f58-81db-30eb3101fd33";
      fsType = "btrfs";
    };

  swapDevices =
    [ { device = "/dev/disk/by-uuid/e62b45be-b5ed-458a-bede-2ec95f22d630"; }
    ];

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
